Subject: bug#37437: closed (Re: bug#37437: hash mismatch for emacs-elixir-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 19 Sep 2019 09:40:02 +0000

Your bug report

#37437: hash mismatch for emacs-elixir-mode

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37437: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37437
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37437: hash mismatch for emacs-elixir-mode
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked], Björn Höfling<[email-masked]>
Date: Thu, 19 Sep 2019 11:39:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Tobias Geerinckx-Rice 写道：
> I can check my substitute server tomorrow for the ‘original’
> (091cizxg1aw8bkj58y048mj020ssapjflav633z9bl6gmi10dy4v) tarball 
> if
> nobody else has a copy.  Guix servers don't seem to.

I didn't have the chance while in LAN range, and the point's now 
moot anyway.  Thanks, Björn!

Björn Höfling 写道：
> Is [MELPA] not as stable as the name suggests.

Indeed[0], quite unfortunate.

Kind regards,

T G-R

[0]: 
https://guix-devel.gnu.narkive.com/6iiqs1hT/patch-emacs-danneskjold-theme#post3

Subject: hash mismatch for emacs-elixir-mode
From: Josh Holland <[email-masked]>
To: bug-guix <[email-masked]>
Date: Tue, 17 Sep 2019 11:33:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, I just did the following:

$ guix install emacs-elixir-mode
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
downloading from https://ci.guix.gnu.org/nar/gzip/7n24v62aw8sjlrs06gbz4zvj11zvryry-emacs-epl-0.8...
 emacs-epl-0.8  24KiB                                2.6MiB/s 00:00 [##################] 100.0%

downloading from https://ci.guix.gnu.org/nar/gzip/152p023jxd5cf5lr87wighihp92pkal6-emacs-pkg-info-0.6...
 emacs-pkg-info-0.6  17KiB                           3.1MiB/s 00:00 [##################] 100.0%

building /gnu/store/b91172xfzkscfd9627d0ysrdjgpbxs6z-elixir-mode-2.3.1.tar.drv...
downloading from https://stable.melpa.org/packages/elixir-mode-2.3.1.tar...
\sha256 hash mismatch for /gnu/store/bb5m97pbmzvwlvn8wmrdfgpvnl0k8r1m-elixir-mode-2.3.1.tar:
  expected hash: 091cizxg1aw8bkj58y048mj020ssapjflav633z9bl6gmi10dy4v
  actual hash:   13d5r64rqskdapnrbbxv0h91gn77c6af5kjjrg5mpphvl887s04c
hash mismatch for store item '/gnu/store/bb5m97pbmzvwlvn8wmrdfgpvnl0k8r1m-elixir-mode-2.3.1.tar'
build of /gnu/store/b91172xfzkscfd9627d0ysrdjgpbxs6z-elixir-mode-2.3.1.tar.drv failed
View build log at '/var/log/guix/drvs/b9/1172xfzkscfd9627d0ysrdjgpbxs6z-elixir-mode-2.3.1.tar.drv.bz2'.
cannot build derivation `/gnu/store/xqdxvb7xy4ydpwkqgp3jd985qb4vw8k2-emacs-elixir-mode-2.3.1.drv': 1 dependencies couldn't be built
guix install: error: build of `/gnu/store/xqdxvb7xy4ydpwkqgp3jd985qb4vw8k2-emacs-elixir-mode-2.3.1.drv' failed

Is something nefarious going on, or have upstream just changed their
tarballs?

Thanks,

--
Josh Holland